---
name: AEGOV/design-system Bug Report
about: Create a report to notify us about a bug in the design system
title: "[BUG]"
labels: bug
assignees: ''

---

Take a moment to review - is it really a bug? Or is it more of an enhancement or a typo in the documentation? A **Bug** is code that is broken, or when you try to implement a certain piece of code that is mentioned in the documentation, you have a result that is not the same as described. 

Now if you are absolutely sure it is indeed a bug, please fill in the following template.

---

**Mention what part of the design system the bug is related to**
Is the bug part of a "Component", a "Block", the "Plugin" itself or something else? Ideally, your choice has to be one of the 3 items.

**More context in relation to the design system**
If the bug is part of a component or a block, please mention which one. If the bug is related to the plugin, please mention if it is during installation, compiling or configuration.

**Describe the bug**
A clear and concise description of what the bug is. Help us understand what you are doing that is causing an error.

**To Reproduce**
Steps to reproduce the behaviour:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behaviour**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem. This is not mandatory, but definitely helpful.

**A bit more context about the browser**
 - Browser [e.g. chrome, safari]
 - Version [e.g. 22]

**Is the issue on both Desktop and Smartphones?**
Yes on both. Here is where I tested it:
 - Device: [e.g. iPhone6]
 - OS: [e.g. iOS8.1]
 - Browser [e.g. stock browser, safari]

No, it is only an issue on smartphones. Here is where I tested it:
 - Device: [e.g. iPhone6]
 - OS: [e.g. iOS8.1]
 - Browser [e.g. stock browser, safari]

**Additional context**
Add any other context about the problem here.
